// / <reference types="vite/client" />

declare module '*.vue' {
  import type { DefineComponent } from 'vue';

  const component: DefineComponent<object, object, any>;
  export default component;
}

declare namespace _NodeJS {
  interface ProcessEnv {
    [key: string]: any;
  }
}

declare namespace global {
  interface Window {}
}

declare module 'vue' {
  interface ComponentCustomProperties {
    $uploader: any;
    // cspell:disable-next-line
    $reqeust: any;
    $apis: any;
    $libs: any;
  }
}

export {};
